Subject: bug#20385: Support curved quotes in doc strings

From: Ivan Shmakov <[email-masked]>
Date: Thu, 14 May 2015 20:05:53 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Thu, 14 May 2015 07:20:17 +0000

 >> The ` character is not a quotation mark at all.  In fact, it’s the
 >> spacing variant of the very same diacritical mark as is shown above
 >> e in è.

 > Any references for this?

	You mean, other than UnicodeData.txt and its derivatives?
	To quote NamesList.txt, for instance:

0060	GRAVE ACCENT
	* this is a spacing character
	x (modifier letter grave accent - 02CB)
	x (combining grave accent - 0300)
	x (reversed prime - 2035)
00B4	ACUTE ACCENT
	* this is a spacing character
	x (modifier letter prime - 02B9)
	x (modifier letter acute accent - 02CA)
	x (combining acute accent - 0301)
	x (prime - 2032)
	# 0020 0301
0300	COMBINING GRAVE ACCENT
	= Greek varia
	x (grave accent - 0060)
	x (modifier letter grave accent - 02CB)
0301	COMBINING ACUTE ACCENT
	= stress mark
	= Greek oxia, tonos
	x (apostrophe - 0027)
	x (acute accent - 00B4)
	x (modifier letter prime - 02B9)
	x (modifier letter acute accent - 02CA)
	x (greek tonos - 0384)

	I presume that if U+0060 was /not/ be meant to be a spacing
	grave accent – there would be some other code point for that
	purpose, just like there /is/ such a code point (U+00B4) for a
	spacing /acute/ accent.

	Given that standards are intended to document existing practice,
	I’d expect Unicode to note that ‘`’ may be used as a quotation
	mark in legacy applications.  I’d be surprised to find it
	/recommending/ such use, though.

	Also, while I have no copy of USAS X3.4-1968 at hand, RFC 20
	(which, AIUI, was intended to be a copy of it itself) has the
	following note:

   6/0         `           Grave Accent [2, 3] (Opening Single Quotation
                                   Mark)

[…]

      2 The use of the symbols in 2/2, 2/7, 2/12, 5/14, /6/0, and 7/14
   as diacritical marks is described in Appendix A, A5.2

	Alas, the appendices are not included in RFC 20.  Still, ECMA-6
	(which also names 6/0 GRAVE ACCENT) reads:

    B.2.3

    Composite graphic characters and repertoire

    ECMA-6 permits the construction of composite graphic characters by
    using the control characters BACKSPACE and CARRIAGE RETURN to image
    two or more graphic characters at the same character position.

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A